Groovy JDK

## java.util
Class SortedSet

Method Summary
`SortedSet` | `asImmutable()` A convenience method for creating an immutable sorted set.
`SortedSet` | `asSynchronized()` A convenience method for creating a synchronized SortedSet.
`SortedSet` | `sort()` Avoids doing unnecessary work when sorting an already sorted set.

Method Detail

### asImmutable

    public SortedSet asImmutable()

  A convenience method for creating an immutable sorted set.

Returns:
  an immutable SortedSet

Since:
  1.0

See:
  Collections#unmodifiableSortedSet.

### asSynchronized

    public SortedSet asSynchronized()

  A convenience method for creating a synchronized SortedSet.

Returns:
  a synchronized SortedSet

Since:
  1.0

See:
  Collections#synchronizedSortedSet.

### sort

    public SortedSet sort()

  Avoids doing unnecessary work when sorting an already sorted set.

Returns:
  the sorted set

Since:
  1.0

Groovy JDK